/* Copyright (c) 2009 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

/** @file
* @defgroup blinky_example_pca10001_main main.c
* @{
* @ingroup blinky_example_pca10001
*
* @brief Blinky Example Application main file.
*
* This file contains the source code for a sample application using GPIO to drive LEDs.
*
*/

#include <stdbool.h>
#include <stdint.h>
#include "nrf_delay.h"
#include "nrf_gpio.h"
#include "boards.h"
#include "cpptest.h"

LedWrapper myLED0(LED_0, true);
LedWrapper myLED1(LED_1, true);

/**
 * @brief Function for application main entry.
 */
int main(void)
{
    myLED0.On();
    myLED1.Off();
    
    // LED 0 and LED 1 blink alternately.
    while (true)
    {
        myLED0.Toggle();
        myLED1.Toggle();
        
        nrf_delay_ms(500);
    }
}

/**
 *@}
 **/
